#use Appimage

Name:           samflasher-tool
Version:     	1.6.0
Release:        %mkrel 1
Summary:        A Simple tool to flash into samsung devices.
Group:		Communications
License:        AGPL-3.0
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://github.com/KreitinnSoftware/SamFlasher-Tool
Source1:        %{name}.png
#-----------------------------------------------------------------

%description
SamFlasher-Tool is simple tool to flash rom to samsung devices, based on heimdall.
Formats accepted: .tar

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/KreitinnSoftware/SamFlasher-Tool/releases/download/1.6.0/SamFlasher-Tool-x64-1667085406.AppImage
chmod +x SamFlasher-Tool-x64-1667085406.AppImage
popd

install -Dm 0755 %{_sourcedir}/SamFlasher-Tool-x64-1667085406.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=SamFlasher-Tool
GenericName=samflasher-tool
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Categories=Utility;Development;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage



%changelog

* Wed Sep 06 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.6.0-1pclos2023
- Created pkg from Appimage.





